Skip to content
Snippets Groups Projects
Commit 737b5ae0 authored by Philipp Hörist's avatar Philipp Hörist
Browse files

Fix Windows build

parent 4c545be7
No related branches found
No related tags found
No related merge requests found
environment: environment:
matrix: matrix:
- MSYS: "C:\\msys64\\mingw32.exe" - MSYS: C:/msys64/mingw32
branches: branches:
only: only:
...@@ -15,24 +14,20 @@ clone_depth: 1 ...@@ -15,24 +14,20 @@ clone_depth: 1
install: install:
- ps: | - ps: |
function bash($command) { $env:MSYSTEM="MINGW32"
Write-Host $command -NoNewline $env:TIME_STRING=(get-date -UFormat "%Y-%m-%d").ToString()
cmd /c start /wait C:\msys64\usr\bin\sh.exe --login -c $command $env:BUILDROOT="C:\msys64\home\appveyor\gajim\win\_build_root"
Write-Host " - OK" -ForegroundColor Green
} function bash($command) {
Write-Host $command -NoNewline
bash 'pacman -Sy --noconfirm git' C:\msys64\usr\bin\sh.exe --login -c $command
bash 'git clone C:/projects/gajim C:/msys64/home/appveyor/gajim' }
- cmd: '%MSYS% C:/msys64/home/appveyor/gajim/win/build.sh' bash 'pacman -Sy --noconfirm git'
# Ugly workaround, because i found no way to tell when mingw32.exe returns bash 'git clone C:/projects/gajim C:/msys64/home/appveyor/gajim'
- cmd: timeout 1100 bash 'C:/msys64/home/appveyor/gajim/win/build.sh'
Push-AppveyorArtifact "$($env:BUILDROOT)/Gajim.exe" -FileName "Gajim-Master-$($env:TIME_STRING).exe"
# Push Installer Exe Push-AppveyorArtifact "$($env:BUILDROOT)/Gajim-Portable.exe" -FileName "Gajim-Portable-Master-$($env:TIME_STRING).exe"
- ps: $env:TIME_STRING=(get-date -UFormat "%Y-%m-%d").ToString()
- ps: $env:BUILDROOT="C:\msys64\home\appveyor\gajim\win\_build_root"
- ps: Push-AppveyorArtifact "$($env:BUILDROOT)/Gajim.exe" -FileName "Gajim-Master-$($env:TIME_STRING).exe"
- ps: Push-AppveyorArtifact "$($env:BUILDROOT)/Gajim-Portable.exe" -FileName "Gajim-Portable-Master-$($env:TIME_STRING).exe"
build: off build: off
......
...@@ -164,9 +164,7 @@ function cleanup_install { ...@@ -164,9 +164,7 @@ function cleanup_install {
mingw-w64-"${ARCH}"-"${PYTHON_ID}"-pip mingw-w64-"${ARCH}"-ncurses || true mingw-w64-"${ARCH}"-"${PYTHON_ID}"-pip mingw-w64-"${ARCH}"-ncurses || true
build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-tk || true build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-tk || true
build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-tcl || true build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-tcl || true
build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-gnome-common || true
build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-gsl || true build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-gsl || true
build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-libvpx || true
#delete translations we don't support #delete translations we don't support
for d in "${MINGW_ROOT}"/share/locale/*/LC_MESSAGES; do for d in "${MINGW_ROOT}"/share/locale/*/LC_MESSAGES; do
......
...@@ -12,14 +12,6 @@ source "$DIR"/_base.sh ...@@ -12,14 +12,6 @@ source "$DIR"/_base.sh
function main { function main {
local GIT_TAG=${1:-"master"} local GIT_TAG=${1:-"master"}
[[ -d "${BUILD_ROOT}" ]] && (echo "${BUILD_ROOT} already exists"; exit 1)
# started from the wrong env -> switch
if [ $(echo "$MSYSTEM" | tr '[A-Z]' '[a-z]') != "$MINGW" ]; then
"/${MINGW}.exe" "$0"
exit $?
fi
install_pre_deps install_pre_deps
create_root create_root
install_deps install_deps
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment